Bug 186233 - [MAINTAINER] security/botan110: update to 1.10.7
Summary: [MAINTAINER] security/botan110: update to 1.10.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-29 13:10 UTC by Lapo Luchini
Modified: 2014-01-29 20:00 UTC (History)
1 user (show)

See Also:


Attachments
botan110-1.10.7.patch (3.93 KB, patch)
2014-01-29 13:10 UTC, Lapo Luchini
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lapo Luchini 2014-01-29 13:10:00 UTC
- Update to 1.10.7
- Allow staging
- Have configure detect the correct compiler (it was using clang thinking it was gcc)

Generated with FreeBSD Port Tools 0.99_11 (mode: update, diff: ports)
Comment 1 Guido Falsi freebsd_committer 2014-01-29 13:14:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 Guido Falsi freebsd_committer 2014-01-29 19:49:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-01-29 19:49:56 UTC
Author: madpilot
Date: Wed Jan 29 19:49:48 2014
New Revision: 341773
URL: http://svnweb.freebsd.org/changeset/ports/341773
QAT: https://qat.redports.org/buildarchive/r341773/

Log:
  - Update to 1.10.7
  - Convert to USES
  - Convert to staging
  
  PR:		ports/186233
  Submitted by:	Lapo Luchini <lapo@lapo.it> (maintainer)

Modified:
  head/security/botan110/Makefile
  head/security/botan110/distinfo
  head/security/botan110/files/patch-src_build_data_makefile_unix_shr.in

Modified: head/security/botan110/Makefile
==============================================================================
--- head/security/botan110/Makefile	Wed Jan 29 19:38:08 2014	(r341772)
+++ head/security/botan110/Makefile	Wed Jan 29 19:49:48 2014	(r341773)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	botan
-PORTVERSION=	1.10.5
+PORTVERSION=	1.10.7
 CATEGORIES=	security
 MASTER_SITES=	http://files.randombit.net/botan/v1.10/
 PKGNAMESUFFIX=	110
@@ -21,22 +21,20 @@ OPTIONS_DEFINE=		SSL GMP ECC
 OPTIONS_DEFAULT=	SSL GMP ECC
 ECC_DESC=	ECC support
 
+USES=		compiler gmake
 USE_BZIP2=	yes
 USE_PYTHON_BUILD=	yes
 HAS_CONFIGURE=	yes
 CONFIGURE_SCRIPT=	configure.py
-CONFIGURE_ARGS=	--prefix=${PREFIX} --with-tr1-implementation=boost \
-		--with-bzip2 --with-zlib
-USE_GMAKE=	yes
+CONFIGURE_ARGS=	--prefix=${PREFIX} --with-bzip2 --with-zlib
 MAKE_ARGS=	CXX="${CXX}" LIB_OPT="${CXXFLAGS}"
 USE_LDCONFIG=	yes
 PLIST_FILES=	bin/botan-config-1.10 lib/libbotan-1.10.a lib/libbotan-1.10.so lib/libbotan-1.10.so.0 \
-		lib/libbotan-1.10.so.0.5 libdata/pkgconfig/botan-1.10.pc
+		lib/libbotan-1.10.so.0.7 libdata/pkgconfig/botan-1.10.pc
 
 DOCSDIR=	${PREFIX}/share/doc/${PORTNAME}-${PORTVERSION}
 PORTDOCS=	*
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MSSL}
@@ -58,6 +56,10 @@ CXXFLAGS+=	-I${LOCALBASE}/include
 CONFIGURE_ARGS+=--with-tr1-implementation=none
 .endif
 
+.include <bsd.port.pre.mk>
+
+CONFIGURE_ARGS+=--cc ${COMPILER_TYPE}
+
 post-patch:
 	${REINPLACE_CMD} -e "s|#!/usr/bin/env python|#!${PYTHON_CMD}|" \
 			${WRKSRC}/configure.py
@@ -67,8 +69,8 @@ post-patch:
 .endif
 
 post-install:
-	@(cd ${PREFIX}; ${FIND} -s include/botan-1.10 -not -type d) >> ${TMPPLIST}
+	@(cd "${STAGEDIR}${PREFIX}"; ${FIND} -s include/botan-1.10 -not -type d) >> ${TMPPLIST}
 	@${ECHO_CMD} @dirrm include/botan-1.10/botan >> ${TMPPLIST}
 	@${ECHO_CMD} @dirrm include/botan-1.10 >> ${TMPPLIST}
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>

Modified: head/security/botan110/distinfo
==============================================================================
--- head/security/botan110/distinfo	Wed Jan 29 19:38:08 2014	(r341772)
+++ head/security/botan110/distinfo	Wed Jan 29 19:49:48 2014	(r341773)
@@ -1,2 +1,2 @@
-SHA256 (Botan-1.10.5.tbz) = 2934c00533847dc93c485081d3ce6aae4a110151a69b587b895241159da77cf3
-SIZE (Botan-1.10.5.tbz) = 2214817
+SHA256 (Botan-1.10.7.tbz) = 19f79ae670cb2ea7c290244ff6ff564ce74b45d8845af52787a30c646e16324d
+SIZE (Botan-1.10.7.tbz) = 2240316

Modified: head/security/botan110/files/patch-src_build_data_makefile_unix_shr.in
==============================================================================
--- head/security/botan110/files/patch-src_build_data_makefile_unix_shr.in	Wed Jan 29 19:38:08 2014	(r341772)
+++ head/security/botan110/files/patch-src_build_data_makefile_unix_shr.in	Wed Jan 29 19:49:48 2014	(r341773)
@@ -1,11 +1,22 @@
---- src/build-data/makefile/unix_shr.in.orig	2011-09-02 19:36:47.671575619 +0000
-+++ src/build-data/makefile/unix_shr.in	2011-09-02 19:37:32.341486166 +0000
-@@ -20,7 +20,7 @@
- LIBDIR        = $(DESTDIR)/%{libdir}
- HEADERDIR     = $(DESTDIR)/%{includedir}/botan-$(SERIES)/botan
- DOCDIR        = $(DESTDIR)/%{docdir}/botan-$(VERSION)
+--- src/build-data/makefile/unix_shr.in.orig	2013-12-29 19:30:46.000000000 +0100
++++ src/build-data/makefile/unix_shr.in	2014-01-29 12:56:53.163471296 +0100
+@@ -14,13 +14,13 @@ VERSION       = %{version}
+ SERIES        = %{version_major}.%{version_minor}
+ 
+ # Installation Settings
+-DESTDIR       = %{prefix}
++PREFIX        = %{prefix}
+ 
+-BINDIR        = $(DESTDIR)/bin
+-LIBDIR        = $(DESTDIR)/%{libdir}
+-HEADERDIR     = $(DESTDIR)/%{includedir}/botan-$(SERIES)/botan
+-DOCDIR        = $(DESTDIR)/%{docdir}/botan-$(VERSION)
 -PKGCONF_DIR   = $(LIBDIR)/pkgconfig
-+PKGCONF_DIR   = $(DESTDIR)/libdata/pkgconfig
++BINDIR        = $(DESTDIR)$(PREFIX)/bin
++LIBDIR        = $(DESTDIR)$(PREFIX)/%{libdir}
++HEADERDIR     = $(DESTDIR)$(PREFIX)/%{includedir}/botan-$(SERIES)/botan
++DOCDIR        = $(DESTDIR)$(PREFIX)/%{docdir}/botan-$(VERSION)
++PKGCONF_DIR   = $(DESTDIR)$(PREFIX)/libdata/pkgconfig
  
  CONFIG_SCRIPT = %{botan_config}
  PKGCONFIG     = %{botan_pkgconfig}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"